import * as nats from 'nats.ws';

export interface Environment {
  production: boolean;
  nats: {
    connectionOptions: nats.ConnectionOptions;
  };
  constants: {
    venderIds: {
      evolutionCasino: number[];
      casinos: number[];
      slots: number[];
      arcades: number[];
      fishs: number[];
    };
    classeIds: {
      mainOffice: string;
      branch: string;
      division: string;
      office: string;
      store: string;
      user: string;
    };
    levelIds: {
      level1: string;
      level2: string;
      level3: string;
      level4: string;
    };
    partnerColor: {
      mainOffice: string;
      branch: string;
      division: string;
      office: string;
      store: string;
      user: string;
    };
  };
}
